-- BITMAP GENERATOR --
-- Source bitmap: bitmap_cr2.bmp


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

package bitmap_cr2 is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic;

	--- bitmap size ---
	constant bmpx: integer := 58;
	constant bmpy: integer := 8;
	constant bitx: integer := 6;
	constant bity: integer := 4;
end bitmap_cr2;

package body bitmap_cr2 is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic is
		variable pix: std_logic;
	begin
		   if (col=0   and row=0  ) then pix := '0';
		elsif (col=1   and row=0  ) then pix := '0';
		elsif (col=2   and row=0  ) then pix := '1';
		elsif (col=3   and row=0  ) then pix := '1';
		elsif (col=4   and row=0  ) then pix := '1';
		elsif (col=5   and row=0  ) then pix := '0';
		elsif (col=6   and row=0  ) then pix := '0';
		elsif (col=7   and row=0  ) then pix := '0';
		elsif (col=8   and row=0  ) then pix := '0';
		elsif (col=9   and row=0  ) then pix := '0';
		elsif (col=10  and row=0  ) then pix := '0';
		elsif (col=11  and row=0  ) then pix := '0';
		elsif (col=12  and row=0  ) then pix := '0';
		elsif (col=13  and row=0  ) then pix := '0';
		elsif (col=14  and row=0  ) then pix := '0';
		elsif (col=15  and row=0  ) then pix := '0';
		elsif (col=16  and row=0  ) then pix := '0';
		elsif (col=17  and row=0  ) then pix := '1';
		elsif (col=18  and row=0  ) then pix := '0';
		elsif (col=19  and row=0  ) then pix := '0';
		elsif (col=20  and row=0  ) then pix := '0';
		elsif (col=21  and row=0  ) then pix := '0';
		elsif (col=22  and row=0  ) then pix := '0';
		elsif (col=23  and row=0  ) then pix := '1';
		elsif (col=24  and row=0  ) then pix := '1';
		elsif (col=25  and row=0  ) then pix := '1';
		elsif (col=26  and row=0  ) then pix := '1';
		elsif (col=27  and row=0  ) then pix := '0';
		elsif (col=28  and row=0  ) then pix := '0';
		elsif (col=29  and row=0  ) then pix := '0';
		elsif (col=30  and row=0  ) then pix := '0';
		elsif (col=31  and row=0  ) then pix := '0';
		elsif (col=32  and row=0  ) then pix := '0';
		elsif (col=33  and row=0  ) then pix := '0';
		elsif (col=34  and row=0  ) then pix := '0';
		elsif (col=35  and row=0  ) then pix := '0';
		elsif (col=36  and row=0  ) then pix := '0';
		elsif (col=37  and row=0  ) then pix := '0';
		elsif (col=38  and row=0  ) then pix := '0';
		elsif (col=39  and row=0  ) then pix := '0';
		elsif (col=40  and row=0  ) then pix := '0';
		elsif (col=41  and row=0  ) then pix := '0';
		elsif (col=42  and row=0  ) then pix := '0';
		elsif (col=43  and row=0  ) then pix := '0';
		elsif (col=44  and row=0  ) then pix := '0';
		elsif (col=45  and row=0  ) then pix := '0';
		elsif (col=46  and row=0  ) then pix := '0';
		elsif (col=47  and row=0  ) then pix := '0';
		elsif (col=48  and row=0  ) then pix := '0';
		elsif (col=49  and row=0  ) then pix := '0';
		elsif (col=50  and row=0  ) then pix := '0';
		elsif (col=51  and row=0  ) then pix := '0';
		elsif (col=52  and row=0  ) then pix := '0';
		elsif (col=53  and row=0  ) then pix := '0';
		elsif (col=54  and row=0  ) then pix := '0';
		elsif (col=55  and row=0  ) then pix := '1';
		elsif (col=56  and row=0  ) then pix := '0';
		elsif (col=57  and row=0  ) then pix := '1';
		elsif (col=0   and row=1  ) then pix := '0';
		elsif (col=1   and row=1  ) then pix := '1';
		elsif (col=2   and row=1  ) then pix := '0';
		elsif (col=3   and row=1  ) then pix := '0';
		elsif (col=4   and row=1  ) then pix := '0';
		elsif (col=5   and row=1  ) then pix := '1';
		elsif (col=6   and row=1  ) then pix := '0';
		elsif (col=7   and row=1  ) then pix := '0';
		elsif (col=8   and row=1  ) then pix := '0';
		elsif (col=9   and row=1  ) then pix := '0';
		elsif (col=10  and row=1  ) then pix := '0';
		elsif (col=11  and row=1  ) then pix := '0';
		elsif (col=12  and row=1  ) then pix := '0';
		elsif (col=13  and row=1  ) then pix := '0';
		elsif (col=14  and row=1  ) then pix := '0';
		elsif (col=15  and row=1  ) then pix := '0';
		elsif (col=16  and row=1  ) then pix := '0';
		elsif (col=17  and row=1  ) then pix := '1';
		elsif (col=18  and row=1  ) then pix := '0';
		elsif (col=19  and row=1  ) then pix := '0';
		elsif (col=20  and row=1  ) then pix := '0';
		elsif (col=21  and row=1  ) then pix := '0';
		elsif (col=22  and row=1  ) then pix := '0';
		elsif (col=23  and row=1  ) then pix := '1';
		elsif (col=24  and row=1  ) then pix := '0';
		elsif (col=25  and row=1  ) then pix := '0';
		elsif (col=26  and row=1  ) then pix := '0';
		elsif (col=27  and row=1  ) then pix := '1';
		elsif (col=28  and row=1  ) then pix := '0';
		elsif (col=29  and row=1  ) then pix := '0';
		elsif (col=30  and row=1  ) then pix := '0';
		elsif (col=31  and row=1  ) then pix := '0';
		elsif (col=32  and row=1  ) then pix := '0';
		elsif (col=33  and row=1  ) then pix := '0';
		elsif (col=34  and row=1  ) then pix := '0';
		elsif (col=35  and row=1  ) then pix := '0';
		elsif (col=36  and row=1  ) then pix := '0';
		elsif (col=37  and row=1  ) then pix := '0';
		elsif (col=38  and row=1  ) then pix := '0';
		elsif (col=39  and row=1  ) then pix := '0';
		elsif (col=40  and row=1  ) then pix := '0';
		elsif (col=41  and row=1  ) then pix := '0';
		elsif (col=42  and row=1  ) then pix := '0';
		elsif (col=43  and row=1  ) then pix := '0';
		elsif (col=44  and row=1  ) then pix := '0';
		elsif (col=45  and row=1  ) then pix := '0';
		elsif (col=46  and row=1  ) then pix := '0';
		elsif (col=47  and row=1  ) then pix := '0';
		elsif (col=48  and row=1  ) then pix := '0';
		elsif (col=49  and row=1  ) then pix := '0';
		elsif (col=50  and row=1  ) then pix := '0';
		elsif (col=51  and row=1  ) then pix := '0';
		elsif (col=52  and row=1  ) then pix := '0';
		elsif (col=53  and row=1  ) then pix := '0';
		elsif (col=54  and row=1  ) then pix := '0';
		elsif (col=55  and row=1  ) then pix := '1';
		elsif (col=56  and row=1  ) then pix := '0';
		elsif (col=57  and row=1  ) then pix := '1';
		elsif (col=0   and row=2  ) then pix := '1';
		elsif (col=1   and row=2  ) then pix := '0';
		elsif (col=2   and row=2  ) then pix := '0';
		elsif (col=3   and row=2  ) then pix := '0';
		elsif (col=4   and row=2  ) then pix := '0';
		elsif (col=5   and row=2  ) then pix := '1';
		elsif (col=6   and row=2  ) then pix := '0';
		elsif (col=7   and row=2  ) then pix := '0';
		elsif (col=8   and row=2  ) then pix := '1';
		elsif (col=9   and row=2  ) then pix := '1';
		elsif (col=10  and row=2  ) then pix := '0';
		elsif (col=11  and row=2  ) then pix := '0';
		elsif (col=12  and row=2  ) then pix := '0';
		elsif (col=13  and row=2  ) then pix := '1';
		elsif (col=14  and row=2  ) then pix := '1';
		elsif (col=15  and row=2  ) then pix := '0';
		elsif (col=16  and row=2  ) then pix := '0';
		elsif (col=17  and row=2  ) then pix := '1';
		elsif (col=18  and row=2  ) then pix := '0';
		elsif (col=19  and row=2  ) then pix := '0';
		elsif (col=20  and row=2  ) then pix := '0';
		elsif (col=21  and row=2  ) then pix := '0';
		elsif (col=22  and row=2  ) then pix := '0';
		elsif (col=23  and row=2  ) then pix := '1';
		elsif (col=24  and row=2  ) then pix := '0';
		elsif (col=25  and row=2  ) then pix := '0';
		elsif (col=26  and row=2  ) then pix := '0';
		elsif (col=27  and row=2  ) then pix := '1';
		elsif (col=28  and row=2  ) then pix := '0';
		elsif (col=29  and row=2  ) then pix := '1';
		elsif (col=30  and row=2  ) then pix := '0';
		elsif (col=31  and row=2  ) then pix := '0';
		elsif (col=32  and row=2  ) then pix := '1';
		elsif (col=33  and row=2  ) then pix := '0';
		elsif (col=34  and row=2  ) then pix := '1';
		elsif (col=35  and row=2  ) then pix := '0';
		elsif (col=36  and row=2  ) then pix := '1';
		elsif (col=37  and row=2  ) then pix := '0';
		elsif (col=38  and row=2  ) then pix := '0';
		elsif (col=39  and row=2  ) then pix := '1';
		elsif (col=40  and row=2  ) then pix := '0';
		elsif (col=41  and row=2  ) then pix := '1';
		elsif (col=42  and row=2  ) then pix := '0';
		elsif (col=43  and row=2  ) then pix := '0';
		elsif (col=44  and row=2  ) then pix := '0';
		elsif (col=45  and row=2  ) then pix := '1';
		elsif (col=46  and row=2  ) then pix := '1';
		elsif (col=47  and row=2  ) then pix := '0';
		elsif (col=48  and row=2  ) then pix := '0';
		elsif (col=49  and row=2  ) then pix := '1';
		elsif (col=50  and row=2  ) then pix := '0';
		elsif (col=51  and row=2  ) then pix := '1';
		elsif (col=52  and row=2  ) then pix := '0';
		elsif (col=53  and row=2  ) then pix := '0';
		elsif (col=54  and row=2  ) then pix := '0';
		elsif (col=55  and row=2  ) then pix := '1';
		elsif (col=56  and row=2  ) then pix := '0';
		elsif (col=57  and row=2  ) then pix := '1';
		elsif (col=0   and row=3  ) then pix := '1';
		elsif (col=1   and row=3  ) then pix := '0';
		elsif (col=2   and row=3  ) then pix := '0';
		elsif (col=3   and row=3  ) then pix := '0';
		elsif (col=4   and row=3  ) then pix := '0';
		elsif (col=5   and row=3  ) then pix := '0';
		elsif (col=6   and row=3  ) then pix := '0';
		elsif (col=7   and row=3  ) then pix := '1';
		elsif (col=8   and row=3  ) then pix := '0';
		elsif (col=9   and row=3  ) then pix := '0';
		elsif (col=10  and row=3  ) then pix := '1';
		elsif (col=11  and row=3  ) then pix := '0';
		elsif (col=12  and row=3  ) then pix := '1';
		elsif (col=13  and row=3  ) then pix := '0';
		elsif (col=14  and row=3  ) then pix := '0';
		elsif (col=15  and row=3  ) then pix := '1';
		elsif (col=16  and row=3  ) then pix := '0';
		elsif (col=17  and row=3  ) then pix := '1';
		elsif (col=18  and row=3  ) then pix := '0';
		elsif (col=19  and row=3  ) then pix := '0';
		elsif (col=20  and row=3  ) then pix := '0';
		elsif (col=21  and row=3  ) then pix := '0';
		elsif (col=22  and row=3  ) then pix := '0';
		elsif (col=23  and row=3  ) then pix := '1';
		elsif (col=24  and row=3  ) then pix := '1';
		elsif (col=25  and row=3  ) then pix := '1';
		elsif (col=26  and row=3  ) then pix := '1';
		elsif (col=27  and row=3  ) then pix := '0';
		elsif (col=28  and row=3  ) then pix := '0';
		elsif (col=29  and row=3  ) then pix := '1';
		elsif (col=30  and row=3  ) then pix := '0';
		elsif (col=31  and row=3  ) then pix := '0';
		elsif (col=32  and row=3  ) then pix := '1';
		elsif (col=33  and row=3  ) then pix := '0';
		elsif (col=34  and row=3  ) then pix := '1';
		elsif (col=35  and row=3  ) then pix := '1';
		elsif (col=36  and row=3  ) then pix := '0';
		elsif (col=37  and row=3  ) then pix := '1';
		elsif (col=38  and row=3  ) then pix := '0';
		elsif (col=39  and row=3  ) then pix := '1';
		elsif (col=40  and row=3  ) then pix := '1';
		elsif (col=41  and row=3  ) then pix := '0';
		elsif (col=42  and row=3  ) then pix := '1';
		elsif (col=43  and row=3  ) then pix := '0';
		elsif (col=44  and row=3  ) then pix := '1';
		elsif (col=45  and row=3  ) then pix := '0';
		elsif (col=46  and row=3  ) then pix := '0';
		elsif (col=47  and row=3  ) then pix := '1';
		elsif (col=48  and row=3  ) then pix := '0';
		elsif (col=49  and row=3  ) then pix := '1';
		elsif (col=50  and row=3  ) then pix := '1';
		elsif (col=51  and row=3  ) then pix := '0';
		elsif (col=52  and row=3  ) then pix := '0';
		elsif (col=53  and row=3  ) then pix := '0';
		elsif (col=54  and row=3  ) then pix := '0';
		elsif (col=55  and row=3  ) then pix := '1';
		elsif (col=56  and row=3  ) then pix := '0';
		elsif (col=57  and row=3  ) then pix := '1';
		elsif (col=0   and row=4  ) then pix := '1';
		elsif (col=1   and row=4  ) then pix := '0';
		elsif (col=2   and row=4  ) then pix := '0';
		elsif (col=3   and row=4  ) then pix := '0';
		elsif (col=4   and row=4  ) then pix := '0';
		elsif (col=5   and row=4  ) then pix := '0';
		elsif (col=6   and row=4  ) then pix := '0';
		elsif (col=7   and row=4  ) then pix := '1';
		elsif (col=8   and row=4  ) then pix := '0';
		elsif (col=9   and row=4  ) then pix := '0';
		elsif (col=10  and row=4  ) then pix := '1';
		elsif (col=11  and row=4  ) then pix := '0';
		elsif (col=12  and row=4  ) then pix := '1';
		elsif (col=13  and row=4  ) then pix := '0';
		elsif (col=14  and row=4  ) then pix := '0';
		elsif (col=15  and row=4  ) then pix := '1';
		elsif (col=16  and row=4  ) then pix := '0';
		elsif (col=17  and row=4  ) then pix := '1';
		elsif (col=18  and row=4  ) then pix := '0';
		elsif (col=19  and row=4  ) then pix := '0';
		elsif (col=20  and row=4  ) then pix := '0';
		elsif (col=21  and row=4  ) then pix := '0';
		elsif (col=22  and row=4  ) then pix := '0';
		elsif (col=23  and row=4  ) then pix := '1';
		elsif (col=24  and row=4  ) then pix := '0';
		elsif (col=25  and row=4  ) then pix := '1';
		elsif (col=26  and row=4  ) then pix := '0';
		elsif (col=27  and row=4  ) then pix := '0';
		elsif (col=28  and row=4  ) then pix := '0';
		elsif (col=29  and row=4  ) then pix := '1';
		elsif (col=30  and row=4  ) then pix := '0';
		elsif (col=31  and row=4  ) then pix := '0';
		elsif (col=32  and row=4  ) then pix := '1';
		elsif (col=33  and row=4  ) then pix := '0';
		elsif (col=34  and row=4  ) then pix := '1';
		elsif (col=35  and row=4  ) then pix := '0';
		elsif (col=36  and row=4  ) then pix := '0';
		elsif (col=37  and row=4  ) then pix := '1';
		elsif (col=38  and row=4  ) then pix := '0';
		elsif (col=39  and row=4  ) then pix := '1';
		elsif (col=40  and row=4  ) then pix := '0';
		elsif (col=41  and row=4  ) then pix := '0';
		elsif (col=42  and row=4  ) then pix := '1';
		elsif (col=43  and row=4  ) then pix := '0';
		elsif (col=44  and row=4  ) then pix := '1';
		elsif (col=45  and row=4  ) then pix := '1';
		elsif (col=46  and row=4  ) then pix := '1';
		elsif (col=47  and row=4  ) then pix := '1';
		elsif (col=48  and row=4  ) then pix := '0';
		elsif (col=49  and row=4  ) then pix := '1';
		elsif (col=50  and row=4  ) then pix := '0';
		elsif (col=51  and row=4  ) then pix := '0';
		elsif (col=52  and row=4  ) then pix := '0';
		elsif (col=53  and row=4  ) then pix := '0';
		elsif (col=54  and row=4  ) then pix := '0';
		elsif (col=55  and row=4  ) then pix := '1';
		elsif (col=56  and row=4  ) then pix := '0';
		elsif (col=57  and row=4  ) then pix := '1';
		elsif (col=0   and row=5  ) then pix := '1';
		elsif (col=1   and row=5  ) then pix := '0';
		elsif (col=2   and row=5  ) then pix := '0';
		elsif (col=3   and row=5  ) then pix := '0';
		elsif (col=4   and row=5  ) then pix := '0';
		elsif (col=5   and row=5  ) then pix := '1';
		elsif (col=6   and row=5  ) then pix := '0';
		elsif (col=7   and row=5  ) then pix := '1';
		elsif (col=8   and row=5  ) then pix := '0';
		elsif (col=9   and row=5  ) then pix := '0';
		elsif (col=10  and row=5  ) then pix := '1';
		elsif (col=11  and row=5  ) then pix := '0';
		elsif (col=12  and row=5  ) then pix := '1';
		elsif (col=13  and row=5  ) then pix := '0';
		elsif (col=14  and row=5  ) then pix := '0';
		elsif (col=15  and row=5  ) then pix := '1';
		elsif (col=16  and row=5  ) then pix := '0';
		elsif (col=17  and row=5  ) then pix := '1';
		elsif (col=18  and row=5  ) then pix := '0';
		elsif (col=19  and row=5  ) then pix := '0';
		elsif (col=20  and row=5  ) then pix := '0';
		elsif (col=21  and row=5  ) then pix := '0';
		elsif (col=22  and row=5  ) then pix := '0';
		elsif (col=23  and row=5  ) then pix := '1';
		elsif (col=24  and row=5  ) then pix := '0';
		elsif (col=25  and row=5  ) then pix := '0';
		elsif (col=26  and row=5  ) then pix := '1';
		elsif (col=27  and row=5  ) then pix := '0';
		elsif (col=28  and row=5  ) then pix := '0';
		elsif (col=29  and row=5  ) then pix := '1';
		elsif (col=30  and row=5  ) then pix := '0';
		elsif (col=31  and row=5  ) then pix := '0';
		elsif (col=32  and row=5  ) then pix := '1';
		elsif (col=33  and row=5  ) then pix := '0';
		elsif (col=34  and row=5  ) then pix := '1';
		elsif (col=35  and row=5  ) then pix := '0';
		elsif (col=36  and row=5  ) then pix := '0';
		elsif (col=37  and row=5  ) then pix := '1';
		elsif (col=38  and row=5  ) then pix := '0';
		elsif (col=39  and row=5  ) then pix := '1';
		elsif (col=40  and row=5  ) then pix := '0';
		elsif (col=41  and row=5  ) then pix := '0';
		elsif (col=42  and row=5  ) then pix := '1';
		elsif (col=43  and row=5  ) then pix := '0';
		elsif (col=44  and row=5  ) then pix := '1';
		elsif (col=45  and row=5  ) then pix := '0';
		elsif (col=46  and row=5  ) then pix := '0';
		elsif (col=47  and row=5  ) then pix := '0';
		elsif (col=48  and row=5  ) then pix := '0';
		elsif (col=49  and row=5  ) then pix := '1';
		elsif (col=50  and row=5  ) then pix := '0';
		elsif (col=51  and row=5  ) then pix := '0';
		elsif (col=52  and row=5  ) then pix := '0';
		elsif (col=53  and row=5  ) then pix := '0';
		elsif (col=54  and row=5  ) then pix := '0';
		elsif (col=55  and row=5  ) then pix := '1';
		elsif (col=56  and row=5  ) then pix := '0';
		elsif (col=57  and row=5  ) then pix := '1';
		elsif (col=0   and row=6  ) then pix := '0';
		elsif (col=1   and row=6  ) then pix := '1';
		elsif (col=2   and row=6  ) then pix := '0';
		elsif (col=3   and row=6  ) then pix := '0';
		elsif (col=4   and row=6  ) then pix := '0';
		elsif (col=5   and row=6  ) then pix := '1';
		elsif (col=6   and row=6  ) then pix := '0';
		elsif (col=7   and row=6  ) then pix := '1';
		elsif (col=8   and row=6  ) then pix := '0';
		elsif (col=9   and row=6  ) then pix := '0';
		elsif (col=10  and row=6  ) then pix := '1';
		elsif (col=11  and row=6  ) then pix := '0';
		elsif (col=12  and row=6  ) then pix := '1';
		elsif (col=13  and row=6  ) then pix := '0';
		elsif (col=14  and row=6  ) then pix := '0';
		elsif (col=15  and row=6  ) then pix := '1';
		elsif (col=16  and row=6  ) then pix := '0';
		elsif (col=17  and row=6  ) then pix := '1';
		elsif (col=18  and row=6  ) then pix := '0';
		elsif (col=19  and row=6  ) then pix := '0';
		elsif (col=20  and row=6  ) then pix := '0';
		elsif (col=21  and row=6  ) then pix := '0';
		elsif (col=22  and row=6  ) then pix := '0';
		elsif (col=23  and row=6  ) then pix := '1';
		elsif (col=24  and row=6  ) then pix := '0';
		elsif (col=25  and row=6  ) then pix := '0';
		elsif (col=26  and row=6  ) then pix := '0';
		elsif (col=27  and row=6  ) then pix := '1';
		elsif (col=28  and row=6  ) then pix := '0';
		elsif (col=29  and row=6  ) then pix := '1';
		elsif (col=30  and row=6  ) then pix := '0';
		elsif (col=31  and row=6  ) then pix := '1';
		elsif (col=32  and row=6  ) then pix := '1';
		elsif (col=33  and row=6  ) then pix := '0';
		elsif (col=34  and row=6  ) then pix := '1';
		elsif (col=35  and row=6  ) then pix := '0';
		elsif (col=36  and row=6  ) then pix := '0';
		elsif (col=37  and row=6  ) then pix := '1';
		elsif (col=38  and row=6  ) then pix := '0';
		elsif (col=39  and row=6  ) then pix := '1';
		elsif (col=40  and row=6  ) then pix := '0';
		elsif (col=41  and row=6  ) then pix := '0';
		elsif (col=42  and row=6  ) then pix := '1';
		elsif (col=43  and row=6  ) then pix := '0';
		elsif (col=44  and row=6  ) then pix := '1';
		elsif (col=45  and row=6  ) then pix := '0';
		elsif (col=46  and row=6  ) then pix := '0';
		elsif (col=47  and row=6  ) then pix := '1';
		elsif (col=48  and row=6  ) then pix := '0';
		elsif (col=49  and row=6  ) then pix := '1';
		elsif (col=50  and row=6  ) then pix := '0';
		elsif (col=51  and row=6  ) then pix := '0';
		elsif (col=52  and row=6  ) then pix := '0';
		elsif (col=53  and row=6  ) then pix := '0';
		elsif (col=54  and row=6  ) then pix := '0';
		elsif (col=55  and row=6  ) then pix := '1';
		elsif (col=56  and row=6  ) then pix := '0';
		elsif (col=57  and row=6  ) then pix := '1';
		elsif (col=0   and row=7  ) then pix := '0';
		elsif (col=1   and row=7  ) then pix := '0';
		elsif (col=2   and row=7  ) then pix := '1';
		elsif (col=3   and row=7  ) then pix := '1';
		elsif (col=4   and row=7  ) then pix := '1';
		elsif (col=5   and row=7  ) then pix := '0';
		elsif (col=6   and row=7  ) then pix := '0';
		elsif (col=7   and row=7  ) then pix := '0';
		elsif (col=8   and row=7  ) then pix := '1';
		elsif (col=9   and row=7  ) then pix := '1';
		elsif (col=10  and row=7  ) then pix := '0';
		elsif (col=11  and row=7  ) then pix := '0';
		elsif (col=12  and row=7  ) then pix := '0';
		elsif (col=13  and row=7  ) then pix := '1';
		elsif (col=14  and row=7  ) then pix := '1';
		elsif (col=15  and row=7  ) then pix := '0';
		elsif (col=16  and row=7  ) then pix := '0';
		elsif (col=17  and row=7  ) then pix := '1';
		elsif (col=18  and row=7  ) then pix := '0';
		elsif (col=19  and row=7  ) then pix := '0';
		elsif (col=20  and row=7  ) then pix := '0';
		elsif (col=21  and row=7  ) then pix := '0';
		elsif (col=22  and row=7  ) then pix := '0';
		elsif (col=23  and row=7  ) then pix := '1';
		elsif (col=24  and row=7  ) then pix := '0';
		elsif (col=25  and row=7  ) then pix := '0';
		elsif (col=26  and row=7  ) then pix := '0';
		elsif (col=27  and row=7  ) then pix := '0';
		elsif (col=28  and row=7  ) then pix := '1';
		elsif (col=29  and row=7  ) then pix := '0';
		elsif (col=30  and row=7  ) then pix := '1';
		elsif (col=31  and row=7  ) then pix := '0';
		elsif (col=32  and row=7  ) then pix := '1';
		elsif (col=33  and row=7  ) then pix := '0';
		elsif (col=34  and row=7  ) then pix := '1';
		elsif (col=35  and row=7  ) then pix := '0';
		elsif (col=36  and row=7  ) then pix := '0';
		elsif (col=37  and row=7  ) then pix := '1';
		elsif (col=38  and row=7  ) then pix := '0';
		elsif (col=39  and row=7  ) then pix := '1';
		elsif (col=40  and row=7  ) then pix := '0';
		elsif (col=41  and row=7  ) then pix := '0';
		elsif (col=42  and row=7  ) then pix := '1';
		elsif (col=43  and row=7  ) then pix := '0';
		elsif (col=44  and row=7  ) then pix := '0';
		elsif (col=45  and row=7  ) then pix := '1';
		elsif (col=46  and row=7  ) then pix := '1';
		elsif (col=47  and row=7  ) then pix := '0';
		elsif (col=48  and row=7  ) then pix := '0';
		elsif (col=49  and row=7  ) then pix := '1';
		elsif (col=50  and row=7  ) then pix := '0';
		elsif (col=51  and row=7  ) then pix := '0';
		elsif (col=52  and row=7  ) then pix := '0';
		elsif (col=53  and row=7  ) then pix := '0';
		elsif (col=54  and row=7  ) then pix := '0';
		elsif (col=55  and row=7  ) then pix := '1';
		elsif (col=56  and row=7  ) then pix := '0';
		elsif (col=57  and row=7  ) then pix := '1';
		else pix := '0'; end if;

		return pix;
	end pixels;
end bitmap_cr2;
